From 8e7d3191c376a0bff5df3871a0249081d81e0389 Mon Sep 17 00:00:00 2001
From: "W. Martin Borgert" <debacle@debian.org>
Date: Mon, 12 Oct 2015 00:07:40 +0200
Subject: use nodejs and node modules from Debian

Origin: vendor
Last-Update: 2014-09-30
---
 Makefile | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/Makefile b/Makefile
index 1bbe494..c7f3671 100644
--- a/Makefile
+++ b/Makefile
@@ -13,16 +13,16 @@ test:
 	@npm test
 
 src/version.js: mpld3/__about__.py
-	@node bin/version $(VERSION) > $@
+	@nodejs bin/version $(VERSION) > $@
 
-mpld3/js/mpld3.v$(VERSION).js: $(shell node_modules/.bin/smash --ignore-missing --list src/mpld3.js) package.json
+mpld3/js/mpld3.v$(VERSION).js: $(shell smash --ignore-missing --list src/mpld3.js) package.json
 	@rm -f $@
-	node_modules/.bin/smash src/mpld3.js | node_modules/.bin/uglifyjs - -b indent-level=2 -o $@
+	smash src/mpld3.js | uglifyjs -b --indent 2 -o $@
 	@chmod a-w $@
 
 mpld3/js/mpld3.v$(VERSION).min.js: mpld3/js/mpld3.v$(VERSION).js bin/uglify
 	@rm -f $@
-	bin/uglify $< > $@
+	uglifyjs $< > $@
 	@chmod a-w $@
 
 clean:
